Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001321ScribusImport / Exportpublic2004-11-17 14:572011-10-07 12:02
Reportermcornils 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version1.3 
Target VersionFixed in Version 
Summary0001321: Individual DPI settings
DescriptionWorking on a publication, one of our clients had neglected to check resolution for one picture which was grayscale and about 2000x2000px. Exporting to PDF, we did not check the "reduce all to xx dpi" box (see below for the "why").

This resulted in a huge page that no longer fit into our printer's memory and this problem was quite difficult to find and to fix.

I'm not sure but I think we could show the dpi in a pop-up help widget when mousing over a picture (instead of in the right-click contect menu)?

Anyway, the reason we don't use the "reduce all to xx dpi" stuff is that it does not differentiate between gray-scale and line-art graphics.

You normally have line-art graphics with much higher dpi than grayscale/colour images.

If differentiating by type proves too difficult, one could also have an individual switch for each image ("reduce to .. dpi"), with a sensible default and the option to switch all dpi reducing conversion off in the export to pdf dialog.
Tagsexport, line-art, pdf
Patch
Attached Filesgif file icon dialog pdfexport.gif [^] (20,928 bytes) 2004-11-17 15:13

- Relationships

-  Notes
(0002897)
plinnell (administrator)
2004-11-17 15:52

Sounds like a reasonable feature, though I do not know how difficult to implement.
(0005089)
ringerc (administrator)
2005-06-22 02:09

I think this would be good to have, too. At work we use 300dpi colour and greyscale and 1200dpi mono images, for example.

We'd need to consider at least:
   - Colour
   - Greyscale
   - Bitmap/mono

with the last two possibly being tinted / have a spot colour applied.
(0018938)
louisdesjardins (developer)
2008-02-10 02:56

I also agree it would be good to have. This is either a candidate for PDF output options or an additional Preflight flag (or both).
(0026497)
StefanM (reporter)
2011-06-29 16:29

It is necessary for pro work to specify a high line-art resolution.

There should be 2 resolution boxes instead of one:

Downsampling:
Line-Art (600 dpi)
Greyscale/Color (300 dpi)

@ringerc (0005089) I feel no pressing need for different resolutions reg. color and greyscale downsampling. I also think the Tinting you suggested may be applied on the canvas, not in the pdf export.
(0026502)
ale (manager)
2011-06-30 18:48

i'm for a preflight warning if resolution if an image is above a DPI defined in the settings...
(0026528)
StefanM (reporter)
2011-07-04 12:14

@ale

a warning is great, but (controlled) downsampling with different res. for line-art, greyscale and color is time-saving & better.

Consider a newspaper with 24 pages and 6 pics on each page. That are 144 pics to work on. No one wants to do this manually. That should be a wholesale config option in PDF Export settings, together with an override maximum DPI setting for an individual picture (as it is done in other dtp's).
(0026533)
ale (manager)
2011-07-04 13:30

any idea how to tell scribus that your picture is a grayscale, line-art or color one?

should it detect it automatically from the file characteristics at preflight and export time?
(0026534)
StefanM (reporter)
2011-07-04 14:15

@ale

- auto-detect at import time from file characteristics

- jpeg 24bit, tiff,png >9..24bit -> always color (default)
- jpeg 8bit, tiff 8bit, png 8bit -> always grayscale
- png, tiff: 1bit ("tiff bilevel image") -> always lineart

- write it as a property in the picture manager dialog
- make it editable there so user can change from the lo-res color default to higher res grayscale or lineart
- for simplicity, grayscale may be left out.
(0026988)
StefanM (reporter)
2011-10-07 12:02

@ale

Recently I started to use gs, read in the docs that it can detect color/gray/color images on its own. You can set dpis globally for these.

Taken from Ghostscript docs http://www.ghostscript.com/doc/current/Ps2pdf.htm [^]
there are these 3 switches:

-dColorImageResolution AAA (dpi) 300 is Default for printer
-dGrayImageResolution BBB (dpi) 300 " "
-dMonoImageResolution CCC (dpi) 1200 " "

It seems that bug is fixed
- with those extra gs commandline options and
- 3 extra inputfields in scribus printer dialog

- Issue History
Date Modified Username Field Change
2004-11-17 14:57 mcornils New Issue
2004-11-17 15:13 mcornils File Added: dialog pdfexport.gif
2004-11-17 15:52 plinnell Note Added: 0002897
2005-06-22 02:09 ringerc Note Added: 0005089
2005-06-22 02:09 ringerc Status new => acknowledged
2006-01-30 20:38 jo-hannes Status acknowledged => confirmed
2006-01-30 20:38 jo-hannes Product Version 1.2.1cvs => 1.3
2006-01-30 20:38 jo-hannes Description Updated
2008-02-10 02:56 louisdesjardins Note Added: 0018938
2011-06-29 16:29 StefanM Note Added: 0026497
2011-06-29 16:29 StefanM Tag Attached: pdf
2011-06-29 16:29 StefanM Tag Attached: export
2011-06-29 16:29 StefanM Tag Attached: line-art
2011-06-30 18:48 ale Note Added: 0026502
2011-07-04 12:14 StefanM Note Added: 0026528
2011-07-04 13:30 ale Note Added: 0026533
2011-07-04 14:15 StefanM Note Added: 0026534
2011-10-07 12:02 StefanM Note Added: 0026988



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker